<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Dice&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_dice-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Dice&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for the dice, gives you a random value depending the type of dice.  
 <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_dice_8hpp_source.html">Dice.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4e8f421bf2aac39e1a7066c8d5192ace"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a4e8f421bf2aac39e1a7066c8d5192ace">Dice</a> (int nbRegularFaces=6) requires(std</td></tr>
<tr class="memdesc:a4e8f421bf2aac39e1a7066c8d5192ace"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for a int <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> only it set the faces from 1 to the number (included)  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#a4e8f421bf2aac39e1a7066c8d5192ace">More...</a><br /></td></tr>
<tr class="separator:a4e8f421bf2aac39e1a7066c8d5192ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6d1831d79a586e88cc8a7eaf1671cba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#af6d1831d79a586e88cc8a7eaf1671cba">Dice</a> (std::initializer_list&lt; T &gt; faces)</td></tr>
<tr class="memdesc:af6d1831d79a586e88cc8a7eaf1671cba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#af6d1831d79a586e88cc8a7eaf1671cba">More...</a><br /></td></tr>
<tr class="separator:af6d1831d79a586e88cc8a7eaf1671cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade8f898f982a751ae3cce2e9ceb52a58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#ade8f898f982a751ae3cce2e9ceb52a58">Dice</a> (list&lt; T &gt; faces)</td></tr>
<tr class="memdesc:ade8f898f982a751ae3cce2e9ceb52a58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#ade8f898f982a751ae3cce2e9ceb52a58">More...</a><br /></td></tr>
<tr class="separator:ade8f898f982a751ae3cce2e9ceb52a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d6d96e13dd2fd3ec6e10a7a6348052"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#ac7d6d96e13dd2fd3ec6e10a7a6348052">Dice</a> (vector&lt; T &gt; faces)</td></tr>
<tr class="memdesc:ac7d6d96e13dd2fd3ec6e10a7a6348052"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#ac7d6d96e13dd2fd3ec6e10a7a6348052">More...</a><br /></td></tr>
<tr class="separator:ac7d6d96e13dd2fd3ec6e10a7a6348052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e41684cd373c814801d97a8f0344511"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a0e41684cd373c814801d97a8f0344511">Roll</a> ()</td></tr>
<tr class="memdesc:a0e41684cd373c814801d97a8f0344511"><td class="mdescLeft">&#160;</td><td class="mdescRight">Perform a roll of the dice and get a random value.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#a0e41684cd373c814801d97a8f0344511">More...</a><br /></td></tr>
<tr class="separator:a0e41684cd373c814801d97a8f0344511"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae40dfc9d4eb9950bf2ce48933fcb0a2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#ae40dfc9d4eb9950bf2ce48933fcb0a2c">RemoveFace</a> (T face)</td></tr>
<tr class="memdesc:ae40dfc9d4eb9950bf2ce48933fcb0a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a face of the dice.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#ae40dfc9d4eb9950bf2ce48933fcb0a2c">More...</a><br /></td></tr>
<tr class="separator:ae40dfc9d4eb9950bf2ce48933fcb0a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f444ab4b72ab54d9fa85054e7ad1b12"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a1f444ab4b72ab54d9fa85054e7ad1b12">GetWasMinimalRoll</a> ()</td></tr>
<tr class="memdesc:a1f444ab4b72ab54d9fa85054e7ad1b12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the information if last roll was a minimal.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#a1f444ab4b72ab54d9fa85054e7ad1b12">More...</a><br /></td></tr>
<tr class="separator:a1f444ab4b72ab54d9fa85054e7ad1b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02bea22860ecfb54a47e70e291d5d9c1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a02bea22860ecfb54a47e70e291d5d9c1">GetWasMaximalRoll</a> ()</td></tr>
<tr class="memdesc:a02bea22860ecfb54a47e70e291d5d9c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the information if last roll was a maximal.  <a href="class_he___arc_1_1_r_p_g_1_1_dice.html#a02bea22860ecfb54a47e70e291d5d9c1">More...</a><br /></td></tr>
<tr class="separator:a02bea22860ecfb54a47e70e291d5d9c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class He_Arc::RPG::Dice&lt; T &gt;</h3>

<p>Class for the dice, gives you a random value depending the type of dice. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4e8f421bf2aac39e1a7066c8d5192ace"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e8f421bf2aac39e1a7066c8d5192ace">&#9670;&nbsp;</a></span>Dice() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::<a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>nbRegularFaces</em> = <code>6</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor for a int <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> only it set the faces from 1 to the number (included) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nbRegularFaces</td><td>last number face (included), ie: if is 3, the dice will have the faces 1 2 3 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af6d1831d79a586e88cc8a7eaf1671cba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6d1831d79a586e88cc8a7eaf1671cba">&#9670;&nbsp;</a></span>Dice() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::<a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a> </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; T &gt;&#160;</td>
          <td class="paramname"><em>faces</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object. </p>
<p>Construct a new Dice&lt; T&gt;:: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">faces</td><td>the faces of the dice</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">faces</td><td>the faces of the dice </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ade8f898f982a751ae3cce2e9ceb52a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade8f898f982a751ae3cce2e9ceb52a58">&#9670;&nbsp;</a></span>Dice() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::<a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a> </td>
          <td>(</td>
          <td class="paramtype">list&lt; T &gt;&#160;</td>
          <td class="paramname"><em>faces</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">faces</td><td>the faces of the dice </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>This is the main constructor </dd></dl>

</div>
</div>
<a id="ac7d6d96e13dd2fd3ec6e10a7a6348052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7d6d96e13dd2fd3ec6e10a7a6348052">&#9670;&nbsp;</a></span>Dice() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::<a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">Dice</a> </td>
          <td>(</td>
          <td class="paramtype">vector&lt; T &gt;&#160;</td>
          <td class="paramname"><em>faces</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" title="Class for the dice, gives you a random value depending the type of dice.">Dice</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">faces</td><td>the faces of the dice </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a02bea22860ecfb54a47e70e291d5d9c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02bea22860ecfb54a47e70e291d5d9c1">&#9670;&nbsp;</a></span>GetWasMaximalRoll()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::GetWasMaximalRoll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the information if last roll was a maximal. </p>
<dl class="section return"><dt>Returns</dt><dd>true The last roll was a maximal value </dd>
<dd>
false The last roll wasn't maximal value </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>if the dice have face 1, 2, 3; will be True if roll get 3</dd></dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The last roll was a maximal value </dd>
<dd>
false The last roll wasn't maximal value </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>if the dice have face 1, 2, 3; will be True if roll get 3 </dd></dl>

</div>
</div>
<a id="a1f444ab4b72ab54d9fa85054e7ad1b12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f444ab4b72ab54d9fa85054e7ad1b12">&#9670;&nbsp;</a></span>GetWasMinimalRoll()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::GetWasMinimalRoll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the information if last roll was a minimal. </p>
<dl class="section return"><dt>Returns</dt><dd>true The last roll was a minimal value </dd>
<dd>
false The last roll wasn't minimal value </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>if the dice have face 1, 2, 3; will be True if roll get 1</dd></dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The last roll was a minimal value </dd>
<dd>
false The last roll wasn't minimal value </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>if the dice have face 1, 2, 3; will be True if roll get 1 </dd></dl>

</div>
</div>
<a id="ae40dfc9d4eb9950bf2ce48933fcb0a2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae40dfc9d4eb9950bf2ce48933fcb0a2c">&#9670;&nbsp;</a></span>RemoveFace()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::RemoveFace </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>face</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove a face of the dice. </p>
<p>Remove the face of the dice.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">face</td><td>The face to remove</td></tr>
  </table>
  </dd>
</dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">face</td><td>The face to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0e41684cd373c814801d97a8f0344511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e41684cd373c814801d97a8f0344511">&#9670;&nbsp;</a></span>Roll()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html">He_Arc::RPG::Dice</a>&lt; T &gt;::Roll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Perform a roll of the dice and get a random value. </p>
<dl class="section return"><dt>Returns</dt><dd>T The value get after the roll</dd></dl>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of the faces of the dice </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>T The value get after the roll </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>cpp_filrouge_iscj_allemann/include/<a class="el" href="_dice_8hpp_source.html">Dice.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
